OpenFlow12项目管理  
========

这个项目是关于OpenFlow12系统的使用文档和问题反馈以及新版本发布:



* [问题反馈](/../issues)
   
* [安装说明](/../wikis/home ) 

* [常见问题](/../wikis/常见问题)



更新日志
----

#### 12.6.4发布补丁,修复了2个BUG

1. BOM展开时对下层发料标记处理的BUG
2. 产生物控档时总用量异常进位的错误

建议12.6.4版本用户升级  
升级方式: 直接下载最新12.6.4版本重新安装  


#### 12.6.3发布补丁文件,修复BOM展开中的一个BUG,建议更新

#### 12.6.4(最新)
1. 提高BOM展开速度
2. 提高齐套分析处理速度(改为通过中间层执行)
3. 提高产生物控档和物控BOM的速度(改为通过中间层执行)
4. 优化成本计算的速度
5. 优化了启用所有者权限后的读取速度
5. 修改程序BUG
6. 主要修改内容:[点这里](/../milestones/16)

#### 12.6.3
1. 修改程序BUG,提高稳定性
2. 增加库存与批次库存一致性校验触发器,**务必看此升级注意事项**:(#784)
3. 增加了可以启用强密码检查
4. 主要修改内容:[点这里](/../issues?scope=all&utf8=✓&state=all&milestone_title=12.6.3)

#### 12.6.2
1. 修改程序BUG,提高稳定性
2. 主要修改内容:[点这里](/../issues?scope=all&utf8=%E2%9C%93&state=all&milestone_title=12.6.2)

#### 12.6.1
1. 修改程序BUG,提高稳定性
2. 修复存货问题
3. 主要修改内容:[点这里](/../issues?milestone_title=12.6.1&scope=all&state=all)


#### 12.6.0
1. 修改程序BUG,提高稳定性
2. 优化调度功能,提高稳定性
2. 优化产生临时凭证的速度
3. 主要修改内容:[点这里](/../issues?milestone_title=12.6.0&scope=all&state=all)


#### 12.5.2
1. 修复程序BUG,提高稳定性
2. 修复调度任务有时不能按计划执行的问题
3. BOM展开过程优化,提高速度
4. 主要修改内容: [点这里](/../issues?milestone_title=12.5.2&scope=all&state=all)


#### 12.5.1

1. 修复程序BUG,提高系统稳定性
2. *中间层安装程序增加了安装时自动判断安装环境(32位或者64位系统),如果更新时出现了重新选择安装目录的情况,建议先卸载以前安装的中间层,然后运行新程序重新安装到相同目录下,这样不会丢失账套信息,如果安装到了不同目录下,可以拷贝openserver.json文件到新目录下以保留账套信息*
3. 本次版本升级主要修改内容:  [点这里](/../issues?milestone_title=12.5.1&scope=all&state=all)


#### 12.5.0

1. 修复程序BUG,提高稳定性
2. 独立部署,升级时服务器不再需要安装最新的运行时环境,Windows2008R2系统如果出现服务无法启动的问题请参考此[问题](/../issues/434) 
3. 本次版本升级主要修改内容:  [点这里](/../issues?milestone_title=12.5.0&scope=all&state=all)


#### 12.4.1

1. 修复程序BUG，提高稳定性
2. 如果程序升级失败，请下载最新的运行时文件： [运行时文件](/../wikis/home#最新服务器端运行库下载)
3. 本次版本升级主要修改内容： [点这里](/../issues?milestone_title=12.4.1&scope=all&state=all)


#### 12.4.0

1. 修复程序BUG，提高系统稳定性
2. 优化存货核算算法
2. 如果程序升级失败，请下载最新的运行时文件： [运行时文件](/../wikis/home#最新服务器端运行库下载)
3. 本次版本升级主要修改内容： [点这里](/../issues?milestone_title=12.4.0&scope=all&state=all)



#### 12.3.2

1. 修复程序BUG，提高系统稳定性
2. 如果程序升级失败，请下载最新的运行时文件： [运行时文件](/../wikis/home#最新服务器端运行库下载)
3. 本次版本升级主要修改内容： [点这里](/../issues?milestone_title=12.3.2&scope=all&state=all)


#### 12.3.1 

1. 程序框架升级,如果运行报错,请下载最新的[运行时文件](/../wikis/home#最新服务器端运行库下载)
2. 完善系统,修复Bug
2. 修改的问题:[点这里](/../issues?milestone_title=12.3.1&scope=all&state=all)


#### 12.3.0 

1. 程序框架升级,如果运行报错,请下载最新的[运行时文件](/../wikis/home#最新服务器端运行库下载)
2. 增加支持二维码打印,参考问题: [点这里](/../issues/137)
3. 修改Bug,提高系统稳定性: [点这里](/../issues?scope=all&utf8=✓&state=all&milestone_title=12.3.0)

#### 12.2.2    

1. 完善多语言显示
2. 修改BUG，增强系统稳定性

#### 12.2.1 

1. 解决一个任务调度的BUG
2. 客户端版本不变还是12.2.0



#### 12.2.0 

1. 修改Bug提高程序稳定性和运行速度
2. 在套装管理中增加数据库升级功能,当中间层与数据库版本不同时需要到套帐管理中升级数据库
3. 重写了BOM展开,支持通过调度的方式运行BOM展开
4. 重写了成本计算过程,现在支持两种成本计算方式: a. 按倒扣料方式(与以前版本相同) b. 按领料方法(参考库马克提供的方案)
4. 修改bug(部分bug可能只存在于12.1.0版本):
    * 新建用户时隶属于组无法创建成功
    * 采购单预览转档报错
    * 销售出货单录入料号后提高响应速度
    * 采购暂收单打开提示报错


下载安装程序
----

下载安装包时请**点击对应的版本号目录**,不要点后面的修改说明

![image](/uploads/5750c9a84744882b13ea9321e41890b0/image.png)


升级注意事项
----

1. 如果升级新版本后,出现OpenFlowApi服务无法启动的问题,请检查OpenFlowApi的配置文件appsettings.json是否做了修改,完整的配置文件内容可以参考以下地址:   

    > [主要配置文件说明](/../wikis/home#主要配置文件说明)  
    > ![image](/uploads/e3ebe35dc1f107da2d27b1726ea52bc1/image.png)

2. 已经安装12.1.0或者以上版本后,正常升级只需要下载对应版本的OpenFlowService.exe文件升级服务端,其中已经包含了客户端的升级文件,客户端访问中间层时会自动检测是否需要升级.  
 
    > 如果运行安装程序前未停止服务,安装程序会出现提示,直接点下一步会自动停止服务,并在安装完成后自动启动服务  





